petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscObjectPrintTypeNamePrefix

used in the XXXView() methods to display information about the class, name, prefix and type of an object

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectPrintClassNamePrefixType(PetscObject obj,PetscViewer viewer)

### Input Parameters

| obj | - the PETSc object
| viewer | - ASCII viewer where the information is printed, function does nothing if the viewer is not PETSCVIEWERASCII type

Notes: If the viewer format is PETSC_VIEWER_ASCII_MATLAB then the information is printed after a % symbol so that MATLAB will treat it as a comment.

If the viewer format is PETSC_VIEWER_ASCII_VTK*, PETSC_VIEWER_ASCII_LATEX, or PETSC_VIEWER_ASCII_MATRIXMARKET then don't print header information as these formats can't process it.

### See Also

PetscObjectSetName(), PetscObjectName()

Level:developer
Location:src/sys/objects/pname.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages